/*
*******************************************************************************
**
**  This device driver was created by Applilet for the 78K0S/KB1+, 78K0S/KA1+,
**  78K0S/KY1+ 8-Bit Single-Chip Microcontrollers.
**
**  Copyright(C) NEC Electronics Corporation 2002-2006
**  All rights reserved by NEC Electronics Corporation.
**
**  This program should be used on your own responsibility.
**  NEC Electronics Corporation assumes no responsibility for any losses
**  incurred by customers or third parties arising from the use of this file.
**
**  Filename :	int.h
**  Abstract :	This file implements device driver for int module.
**  APIlib :	NEC78K0SKX1+.lib V1.50 [23 Feb. 2006]
**
**  Device :	uPD78F9222
**
**  Compiler :	NEC/CC78K0
**
*******************************************************************************
*/
#ifndef	_MDINT_
#define	_MDINT_
/*
*******************************************************************************
**  MacroDefine
*******************************************************************************
*/
enum ExternalINT { EX_INTP0, EX_INTP1, EX_INTP2, EX_INTP3 };

enum INTInputEdge { FallingEdge, RisingEdge, None, BothEdge };

enum MaskableSource { INT_LVI=1, INT_INTP0, INT_INTP1, INT_TMH1, INT_TM000,
		      INT_TM010, INT_AD, INT_INTP2=9, INT_INTP3, INT_TM80,
		      INT_SRE6, INT_SR6, INT_ST6 };
void INT_Init( void );

#endif
